// Copyright (c) 2024 Codemongous LLC. All Rights Reserved.

#include "SCW_UWidgetComponent.h"
#include "Components/MeshComponent.h"
#include "Components/WidgetComponent.h"
#include "SourcifyCoreUEWrapperModule.h"

using namespace Sourcify;

SCW_UWidgetComponent::SCW_UWidgetComponent(UWidgetComponent* InWidgetComponent) : SCW_UMeshComponent(InWidgetComponent), WidgetComponent(InWidgetComponent)
{

}

UWidgetComponent* SCW_UWidgetComponent::ToUWidgetComponent() const
{
	return WidgetComponent;
}

ISCW_UWidgetComponentPtr SCW_UWidgetComponent::ToUWidgetComponentPtr()
{
	return GetSharedThisAs<SCW_UWidgetComponent>();
}

ISCW_UWidgetComponentConstPtr SCW_UWidgetComponent::ToUWidgetComponentPtr() const
{
	return GetSharedThisAs<SCW_UWidgetComponent>();
}